## magnum 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel>=2.3.4 # BSD
PyYAML>=3.10.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WSME>=0.8 # MIT
WebOb>=1.6.0 # MIT
alembic>=0.8.10 # MIT
cliff>=2.3.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker-py>=1.8.1 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
marathon>=0.8.6 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-k8sclient>=0.2.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
Werkzeug>=0.7 # BSD License

=== debian/changelog ===
magnum (4.0.0-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Corey Bryant ]
  * New upstream release for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/allow-sqla-1.1.patch: Rebased.
  * d/rules: Use upstream config file for generating magnum.conf instead of
    hardcoding namespaces.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 13:36:29 -0500

=== debian/control ===
Source: magnum
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 24.0.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.10),
                     bandit,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-bashate (>= 0.2),
                     python-cliff (>= 2.3.0),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-decorator (>= 3.4.0),
                     python-doc8,
                     python-docker (>= 1.8.1),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-iso8601 (>= 0.1.11),
                     python-jsonpatch,
                     python-k8sclient (>= 0.2.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-marathon (>= 0.8.6),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-prettytable,
                     python-pycadf (>= 1.1.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1:1.17.1),
                     python-taskflow (>= 2.7.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python-urllib3 (>= 1.15.1),
                     python-webob (>= 1:1.6.0),
                     python-werkzeug,
                     python-wsme (>= 0.8),
                     python-yaml (>= 3.10.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum

Package: python-magnum
Section: python
Architecture: all
Depends: alembic (>= 0.8.10),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-cliff (>= 2.3.0),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-docker (>= 1.8.1),
         python-enum34,
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.5.0),
         python-greenlet (>= 0.3.2),
         python-heatclient (>= 1.6.1),
         python-iso8601 (>= 0.1.11),
         python-jsonpatch,
         python-k8sclient (>= 0.2.0),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-marathon (>= 0.8.6),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-prettytable,
         python-pycadf (>= 1.1.0),
         python-requests (>= 2.10.0),
         python-setuptools (>= 24.0.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1:1.17.1),
         python-taskflow (>= 2.7.0),
         python-urllib3 (>= 1.15.1),
         python-webob (>= 1:1.6.0),
         python-werkzeug,
         python-wsme (>= 0.8),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

Package: magnum-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-magnum (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-api
Architecture: all
Depends: magnum-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-conductor
Architecture: all
Depends: magnum-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

## magnum 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -20,11 +20,12 @@
 jsonpatch>=1.1 # BSD
 keystoneauth1>=2.18.0 # Apache-2.0
 keystonemiddleware>=4.12.0 # Apache-2.0
+kubernetes>=1.0.0b1 # Apache-2.0
 marathon>=0.8.6 # MIT
 netaddr!=0.7.16,>=0.7.13 # BSD
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
-oslo.context>=2.9.0 # Apache-2.0
+oslo.context>=2.12.0 # Apache-2.0
 oslo.db>=4.15.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
@@ -43,10 +44,9 @@
 python-glanceclient>=2.5.0 # Apache-2.0
 python-heatclient>=1.6.1 # Apache-2.0
 python-neutronclient>=5.1.0 # Apache-2.0
-python-k8sclient>=0.2.0 # Apache-2.0
-python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
+python-novaclient>=7.1.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-requests!=2.12.2,>=2.10.0 # Apache-2.0
+requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
 setuptools!=24.0.0,>=16.0 # PSF/ZPL
 six>=1.9.0 # MIT
 stevedore>=1.17.1 # Apache-2.0

=== debian/changelog ===
magnum (4.1.0-0ubuntu3) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:32:43 +0100

magnum (4.1.0-0ubuntu2) artful; urgency=medium

  * Add python-osprofile to magnum-common Dependencies, fixing a race
    condition making the startup scripts fail when started too fast

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Apr 2017 16:35:04 +0200

magnum (4.1.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream release for Ocata.
  * d/p/allow-sqla-1.1.patch: Dropped no longer needed.
  * d/p/use-k8sclient.patch: Use k8sclient instead of python-kubernetes
    since python-kubernetes is not in the archive yet.
  * d/control, d/tests: Add dep8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 09:33:38 -0500

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
 Homepage: https://github.com/openstack/magnum
+XS-Testsuite: autopkgtest
 
 Package: python-magnum
 Section: python
@@ -126,6 +127,7 @@
          python-oslo.service (>= 1.10.0),
          python-oslo.utils (>= 3.18.0),
          python-oslo.versionedobjects (>= 1.17.0),
+         python-osprofiler (>= 1.4.0),
          python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),

## magnum 4.1.1

=== debian/changelog ===
magnum (4.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 16 May 2017 12:41:09 +0100

magnum (4.1.0-0ubuntu4) artful; urgency=medium

  * d/p/sqla-compat.patch: Drop upper bound for SQLAlchemy, resolving
    installation failure with >= 1.1.x.

 -- James Page <james.page@ubuntu.com>  Tue, 16 May 2017 12:31:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--config-file etc/magnum/magnum-config-generator.conf \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	cp etc/magnum/policy.json $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## magnum 4.1.3

=== debian/changelog ===
magnum (4.1.3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:40 -0400

magnum (4.1.3-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 15:49:14 -0400

magnum (4.1.1-0ubuntu2) artful; urgency=medium

  * d/p/oslo.db-compat.patch: Cherry pick fix for compatibility with
    later oslo.db versions, pending new upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 15 Jun 2017 11:32:22 +0100

=== debian/control ===
--- 
+++ 
@@ -67,7 +67,7 @@
                      python-pep8,
                      python-prettytable,
                      python-pycadf (>= 1.1.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1:1.17.1),
@@ -133,7 +133,7 @@
          python-pecan (>= 1.0.0),
          python-prettytable,
          python-pycadf (>= 1.1.0),
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-setuptools (>= 24.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),

## magnum 5.0.0

=== debian/changelog ===
magnum (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/oslo.db-compat.patch: Dropped. Fixed upstream.
  * d/p/use-k8sclient.patch: Rebased.
  * d/p/sqla-compat.patch: Dropped. Fixed upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/control, d/p/revert-move-to-docker-2.0.0.patch: Revert to using
    python-docker >= 1.8.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 20:52:46 -0400

## magnum 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.10 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WSME>=0.8 # MIT
WebOb>=1.7.1 # MIT
alembic>=0.8.10 # MIT
cliff>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=2.0.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
kubernetes>=1.0.0 # Apache-2.0
marathon>=0.8.6 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
Werkzeug>=0.7 # BSD License

=== debian/changelog ===
magnum (5.0.1-0ubuntu1) artful; urgency=medium

  * New upstream point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Aug 2017 13:47:31 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools (>= 24.0.0),
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.10),
@@ -18,48 +18,47 @@
                      python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
                      python-bashate (>= 0.2),
-                     python-cliff (>= 2.3.0),
+                     python-cliff (>= 2.8.0),
                      python-coverage,
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-decorator (>= 3.4.0),
                      python-doc8,
                      python-docker (>= 1.8.1),
                      python-enum34,
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
                      python-heatclient (>= 1.6.1),
                      python-iso8601 (>= 0.1.11),
                      python-jsonpatch,
                      python-k8sclient (>= 0.2.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-marathon (>= 0.8.6),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
-                     python-neutronclient (>= 5.1.0),
-                     python-novaclient (>= 2:6.0.0),
-                     python-openstackdocstheme (>= 1.5.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-novaclient (>= 2:9.0.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref,
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 1:2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.24.2),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.reports (>= 1.0.0),
                      python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-paramiko (>= 2.0),
@@ -70,13 +69,14 @@
                      python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1:1.17.1),
+                     python-stevedore (>= 1:1.20.0),
                      python-taskflow (>= 2.7.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
                      python-urllib3 (>= 1.15.1),
-                     python-webob (>= 1:1.6.0),
+                     python-webob (>= 1:1.7.1),
                      python-werkzeug,
                      python-wsme (>= 0.8),
                      python-yaml (>= 3.10.0),
@@ -94,42 +94,42 @@
 Depends: alembic (>= 0.8.10),
          python-babel (>= 2.3.4),
          python-barbicanclient (>= 4.0.0),
-         python-cliff (>= 2.3.0),
-         python-cryptography (>= 1.0),
+         python-cliff (>= 2.8.0),
+         python-cryptography (>= 1.6),
          python-decorator (>= 3.4.0),
          python-docker (>= 1.8.1),
          python-enum34,
          python-eventlet (>= 0.18.4),
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.8.0),
          python-greenlet (>= 0.3.2),
          python-heatclient (>= 1.6.1),
          python-iso8601 (>= 0.1.11),
          python-jsonpatch,
          python-k8sclient (>= 0.2.0),
-         python-keystoneauth1 (>= 2.18.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.12.0),
          python-marathon (>= 0.8.6),
          python-netaddr (>= 0.7.13),
-         python-neutronclient (>= 5.1.0),
-         python-novaclient (>= 2:6.0.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-novaclient (>= 2:9.0.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.15.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 1:2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.24.2),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.reports (>= 1.0.0),
          python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.versionedobjects (>= 1.17.0),
          python-osprofiler (>= 1.4.0),
          python-paramiko (>= 2.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-pecan (>= 1.0.0),
          python-prettytable,
          python-pycadf (>= 1.1.0),
@@ -137,10 +137,10 @@
          python-setuptools (>= 24.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1:1.17.1),
+         python-stevedore (>= 1:1.20.0),
          python-taskflow (>= 2.7.0),
          python-urllib3 (>= 1.15.1),
-         python-webob (>= 1:1.6.0),
+         python-webob (>= 1:1.7.1),
          python-werkzeug,
          python-wsme (>= 0.8),
          python-yaml (>= 3.10.0),

## magnum 6.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.10 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.7.1 # MIT
alembic>=0.8.10 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=2.4.2 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
kubernetes>=4.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
Werkzeug>=0.7 # BSD License

=== debian/changelog ===
magnum (6.0.1-2~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-queens.infomaniak.ch>  Tue, 27 Mar 2018 14:40:55 +0200

magnum (6.0.1-2) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:28:24 +0000

magnum (6.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Generating policy.json with oslopolicy-sample-generator.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 10:20:30 +0100

magnum (5.0.1-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:49 +0000

magnum (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Updated fr.po debconf translation (Closes: #886207).

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 15:15:01 +0100

magnum (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt.po (Closes: #876174).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:06:31 +0000

magnum (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Remove SQLAlchemy version patch.
  * Fix oslo-config-generator namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 15:18:15 +0200

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-babel,
 python3-barbicanclient (>= 4.0.0),
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-decorator (>= 3.4.0),
 python3-doc8,
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.10.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 4.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock,
 python3-netaddr (>= 0.7.13),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-oslotest (>= 1:1.10.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan,
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.7.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-babel,
 python3-barbicanclient (>= 4.0.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 1.9),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 4.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.13),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.28.0),
 python3-pbr (>= 2.0.0),
 python3-pecan,
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-setuptools (>= 24.0.0),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.7.0),
 python3-webob (>= 1.7.1),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
		--format json \
		--namespace magnum

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
